Red Hat 4.4.7-4上安装glances填大大大坑实录,我的内心是崩溃的!!!

发布时间:2019-07-01 14:00:09发布者:Mr.Zhang阅读(273)

今天的任务是在公司的一台压力测试机上安装一个性能监控工具:glances

因为以前我已经多次安装和使用这个工具,我大意的以为整个过程是这样的:

分分钟搞定完事

然而 我们公司的服务器版本实在是太老了,于是我就在今天早晨踏上了不归路

yum install epel-release -y

yum install gcc lm_sensors python-pip python-devel -y 这一步报错

Error: Cannot retrieve metalink for repository: epel. Please verify its path and try again

看了下需要修改yum的源

vim /etc/yum.repos.d/epel.repo

这里删掉第3行的注释符 将第4行注释掉

再执行

yum install gcc lm_sensors python-pip python-devel -y 通过

pip install PySensors 安装成功

pip install glances

报错:Glances requires at least Python 2.7 or 3.4 to run.

这里根本安装不了 因为 我们系统自带的版本是python2.6的而glances最低需求是2.7版本,想了一下只能升级python

 下载一个安装包  https://www.python.org/ftp/python/2.7.14/Python-2.7.14.tgz

tar -zxvf Python-2.7.14.tgz

cd Python-2.7.14

./configure --prefix=/usr/local/python2.7

 make &&make install

安装了新的版本还得把老的版本覆盖了

mv /usr/bin/python /usr/bin/python2.6

ln -s /usr/local/python2.7/bin/python2.7 /usr/bin/python

新版本的python安装以后yum又用不了了 因为yum对python2.7不兼容

yum的对应python版本还得是老的

vim /usr/bin/yum

改成

 #!/usr/bin/python2.6

再执行pip install glances时

报错:

ImportError: No module named pkg_resources

结果pip也用不了了 还需要重新安装pip,想重新安装pip又得是从重新安装setuptools开始........

下载 https://files.pythonhosted.org/packages/1d/64/a18a487b4391a05b9c7f938b94a16d80305bf0369c6b0b9509e86165e1d3/setuptools-41.0.1.zip

unzip setuptools-41.0.1.zip

 cd setuptools-41.0.1

直接执行安装

python setup.py install

wget https://pypi.python.org/packages/source/p/pip/pip-1.3.1.tar.gz

tar -zxvf pip-1.3.1.tar.gz

cd pip-1.3.1

 python setup.py install

 ln -s /usr/local/Python2.7/bin/pip /usr/bin/pip

报错:

ln: creating symbolic link `/usr/bin/pip': File exists

之前2.6版本的pip还在也得删除了才行

rm /usr/bin/pip

重新创建连接

ln -s /usr/local/python2.7/bin/pip /usr/bin/pip

完了 再回到安装这一步

pip install glances

这次真的能装了

Installing glances script to /usr/local/python2.7/bin

 cd  /usr/local/python2.7/bin

 ./glances

然而并不能执行 报错

Curses module not found. Glances cannot start in standalone mode.

这个点我反反复复搞了大半天 最后才明白是缺了Curses  这个模块的两个文件

于是先找到之前2.6的这个模块文件

复制到2.7的文件目录下面

那我就想问一句,为什么安装2.7的时候会缺少这两个文件呢???

再次执行

 ./glances

终于可用

最后一步将2.7的bin目录加到PATH里面

vim ~/.bashrc 

在最后加上

export PATH=/usr/local/python2.7/bin:$PATH

source ~/.bashrc

输入 glances 生效 

安装完毕

心好累....

 





本文转自博客园,原文地址:https://www.cnblogs.com/laowang-tester/p/11112387.html